class Customize::InheritNodesController < InheritedResources::Base
	include InheritedResources::DSL
	respond_to :json, :xml
	has_scope :by_type

	custom_actions :resource=>:select

	index! do |format|
		format.json do
			render :json=>collection.collect{|item|{:label=>item.node.label,:value=>item.node.id}}
		end
	end

	def select
		select! do |format|
			node = Customize::InheritNode.find params[:target]
			begin
				resource.node.inherit node.node
			rescue
			end
			format.json do
				render :json=>resource.save
			end
		end
	end

end
