module Customize
	class Engine < ::Rails::Engine
		isolate_namespace Customize
		config.generators do |g|
			# g.test_framework :rspec, :view_specs => false
		end
		config.customize = Customize

		initializer "customize.load_calculators" do |app|
			app.config.customize.calculators = [
				Customize::Calculator::ExpressionCalculator
			]
		end
	end
end
