require 'active_record'
require 'has_scope'
require 'customize/engine'

module Customize
	module Calculator
		autoload :Base, 'customize/calculator/base'
		autoload :ExpressionCalculator, 'customize/calculator/expression_calculator'
	end
	autoload :Characterize, 'customize/characterize'
	autoload :Inherited, 'customize/inherited'
	autoload :Formulaic, 'customize/formulaic'

	mattr_accessor :calculators
	@@calculators = []
end
